#
# spec file for package gmod (Version 3.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libjpeg qtdevel qtlib xdevel xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xshared

Name:         gmod
Copyright:    1996 by Andrew Robinson
Group:        Applications/Sound
Provides:     gmod 
Autoreqprov:  on
Summary:      Linux music module player
URL:          http://www.nyx.net/~arobinso/xgmod.html
Version:      3.1
Release:      395
Source: ftp://metalab.unc.edu/pub/Linux/apps/sound/players/gmod-%{version}.tar.gz
Patch:  gmod-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
A module player which - similar to xmp - supports the Gravis Ultrasound
and AWE soundcards. xgmod has a Qt-based frontend.

Authors:
--------
    Andrew J. Robinson <robinson@cnj.digex.net>

SuSE series: snd

%prep
%setup
%patch

%build
test -d /usr/X11R6/lib/qt && export QTDIR=/usr/X11R6/lib/qt
test -d /usr/lib/qt && export QTDIR=/usr/lib/qt
make
rm -f *.o .depend
make -f Makefile.gmod

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin 
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/bin 
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
# a hack to fix dependencies:
install -m 644 -s xgmod $RPM_BUILD_ROOT/usr/X11R6/bin/xgmod
install -m 644 xgmod.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1/xgmod.1
install -m 755 -s gmod $RPM_BUILD_ROOT/usr/bin/gmod
install -m 644 gmod.1 $RPM_BUILD_ROOT/%{_mandir}/man1/gmod.1

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%doc ChangeLog POLICY README
%attr(755,root,root) /usr/X11R6/bin/xgmod
/usr/bin/gmod
%doc %{_mandir}/man1/gmod.1.gz
%doc /usr/X11R6/man/man1/xgmod.1.gz

%changelog -n gmod
* Thu Mar 08 2001 - uli@suse.de
- added xshared, xdevel to neededforbuild
* Tue Jan 30 2001 - sf@suse.de
- added `#include <string.h>` for IA64
* Wed Jun 07 2000 - schwab@suse.de
- Fix Makefile* for IA64.
* Thu Apr 27 2000 - nadvornik@suse.cz
- changed Group tag
* Thu Mar 23 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
* Fri Mar 03 2000 - kasal@suse.de
- %%{_mandir} used
- a hack to remove dependency on X
* Sat Jan 29 2000 - ro@suse.de
- fixed to compile, needs testing
* Thu Dec 09 1999 - kukuk@suse.de
- fix Makefile* for SPARC
* Tue Sep 21 1999 - uli@suse.de
- fixed Makefile* for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Feb 02 1999 - ro@suse.de
- no m486 on alpha
* Tue Nov 17 1998 - ro@suse.de
- hacked to work with GLIBC and recent libg++
* Mon Oct 05 1998 - ro@suse.de
- determine QTDIR
* Sat Feb 28 1998 - bs@suse.de
- changed "neededforbuild" for qt
* Fri Jan 23 1998 - rj@suse.de
- new package (3.1)
